﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows.Forms;

namespace howto_override_method
{
    public class Employee : Person
    {
        public string MailStop;

        // Initializing constructor.
        public Employee(string firstName, string lastName, string street,
            string city, string state, string zip, string mailStop)
            : base(firstName, lastName, street, city, state, zip)
        {
            MailStop = mailStop;
        }

        // Display the employee's address.
        public override void ShowAddress()
        {
            string txt = FirstName + " " + LastName + '\n' +
                Street + '\n' +
                City + "  " + State + "  " + Zip + '\n' +
                MailStop;
            MessageBox.Show(txt, "Employee Address",
                MessageBoxButtons.OK,
                MessageBoxIcon.Information);
        }
    }
}
