﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Windows.Forms;

namespace howto_override_method
{
    public class Person
    {
        public string FirstName, LastName, Street, City, State, Zip;

        // Initializing constructor.
        public Person(string firstName, string lastName, string street,
            string city, string state, string zip)
        {
            FirstName = firstName;
            LastName = lastName;
            Street = street;
            City = city;
            State = state;
            Zip = zip;
        }

        // Display the person's address.
        public virtual void ShowAddress()
        {
            string txt = FirstName + " " + LastName + '\n' +
                Street + '\n' +
                City + "  " + State + "  " + Zip;
            MessageBox.Show(txt, "Person Address",
                MessageBoxButtons.OK,
                MessageBoxIcon.Information);
        }
    }
}
